Package es.imim.DISGENET.internal.enrichment

# Class EnrichmentTaskObserver

java.lang.Object
es.imim.DISGENET.internal.enrichment.EnrichmentTaskObserver

All Implemented Interfaces:
  `org.cytoscape.work.TaskObserver`

public class EnrichmentTaskObserver extends Object implements org.cytoscape.work.TaskObserver

## Constructor Summary

Constructors
Constructor
Description
`EnrichmentTaskObserver()`

## Method Summary

Modifier and Type
Method
Description
`void`
`allFinished(org.cytoscape.work.FinishStatus finishStatus)`
`Map`
`getResult()`
`void`
`taskFinished(org.cytoscape.work.ObservableTask task)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnrichmentTaskObserver

public EnrichmentTaskObserver()

## Method Details

### taskFinished

public void taskFinished(org.cytoscape.work.ObservableTask task)

Specified by:
  `taskFinished` in interface `org.cytoscape.work.TaskObserver`

### allFinished

public void allFinished(org.cytoscape.work.FinishStatus finishStatus)

Specified by:
  `allFinished` in interface `org.cytoscape.work.TaskObserver`

### getResult

public Map getResult()